Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
FltTransformTranslate Class Reference

A transformation that applies a translation. More...

`#include "fltTransformTranslate.h"`

Inheritance diagram for FltTransformTranslate:

## Public Member Functions
| FltTransformTranslate (FltHeader *header)
virtual TypeHandle | force_init_type ()
const LVector3d & | get_delta () const
const LPoint3d & | get_from () const
| Returns the reference point of the translation.
virtual TypeHandle | get_type () const
void | set (const LPoint3d &from, const LVector3d &delta)
| Defines the translation.
Public Member Functions inherited from FltTransformRecord
| FltTransformRecord (FltHeader *header)
const LMatrix4d & | get_matrix () const
| Returns the transform matrix represented by this particular component of the transform.
Public Member Functions inherited from FltRecord
| FltRecord (FltHeader *header)
void | add_ancillary (FltRecord *ancillary)
| Adds a new unsupported ancillary record to the end of the list of ancillary records for this record.
void | add_child (FltRecord *child)
| Adds a new child to the end of the list of children for this record.
void | add_extension (FltRecord *extension)
| Adds a new extension to the end of the list of extensions for this record.
void | add_subface (FltRecord *subface)
| Adds a new subface to the end of the list of subfaces for this record.
virtual void | apply_converted_filenames ()
| Walks the hierarchy at this record and below and copies the _converted_filename record into the _orig_filename record, so the flt file will be written out with the converted filename instead of what was originally read in.
void | check_remaining_size (const DatagramIterator &di, const std::string &name=std::string()) const
| Checks that the iterator has no bytes left, as it should at the end of a successfully read record.
void | clear_ancillary ()
| Removes all unsupported ancillary records from this record.
void | clear_children ()
| Removes all children from this record.
void | clear_comment ()
| Removes the comment for this record.
void | clear_extensions ()
| Removes all extensions from this record.
void | clear_subfaces ()
| Removes all subfaces from this record.
FltRecord * | get_ancillary (int n) const
| Returns the nth unsupported ancillary record of this record.
FltRecord * | get_child (int n) const
| Returns the nth child of this record.
const std::string & | get_comment () const
| Retrieves the comment for this record, or empty string if the record has no comment.
FltRecord * | get_extension (int n) const
| Returns the nth extension of this record.
int | get_num_ancillary () const
| Returns the number of unsupported ancillary records of this record.
int | get_num_children () const
| Returns the number of child records of this record.
int | get_num_extensions () const
| Returns the number of extension attribute records for this object.
int | get_num_subfaces () const
| Returns the number of subface records of this record.
FltRecord * | get_subface (int n) const
| Returns the nth subface of this record.
bool | has_comment () const
| Returns true if this record has a nonempty comment, false otherwise.
virtual void | output (std::ostream &out) const
| Writes a quick one-line description of the record, but not its children.
void | set_comment (const std::string &comment)
| Changes the comment for this record.
virtual void | write (std::ostream &out, int indent_level=0) const
| Writes a multiple-line description of the record and all of its children.
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from FltTransformRecord
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from FltRecord
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Additional Inherited Members
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

A transformation that applies a translation.

Definition at line 24 of file fltTransformTranslate.h.

## Constructor & Destructor Documentation

## ◆ FltTransformTranslate()

FltTransformTranslate::FltTransformTranslate | ( | FltHeader * | header | ) |

Definition at line 23 of file fltTransformTranslate.cxx.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle FltTransformTranslate::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from FltTransformRecord.

Definition at line 47 of file fltTransformTranslate.h.

## ◆ get_class_type()

static TypeHandle FltTransformTranslate::get_class_type | ( |  | ) |
| inline static

Definition at line 48 of file fltTransformTranslate.h.

## ◆ get_delta()

const LVector3d & FltTransformTranslate::get_delta | ( |  | ) | const

Definition at line 52 of file fltTransformTranslate.cxx.

## ◆ get_from()

const LPoint3d & FltTransformTranslate::get_from | ( |  | ) | const

Returns the reference point of the translation.

This is largely meaningless.

Definition at line 44 of file fltTransformTranslate.cxx.

## ◆ get_type()

virtual TypeHandle FltTransformTranslate::get_type | ( |  | ) | const
| inline virtual

Reimplemented from FltTransformRecord.

Definition at line 44 of file fltTransformTranslate.h.

## ◆ init_type()

static void FltTransformTranslate::init_type | ( |  | ) |
| inline static

Definition at line 51 of file fltTransformTranslate.h.

## ◆ set()

void FltTransformTranslate::set | ( | const LPoint3d & | from,
|  | const LVector3d & | delta )

Defines the translation.

The "from" point seems to be pretty much ignored.

Definition at line 32 of file fltTransformTranslate.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/flt/fltTransformTranslate.h
- pandatool/src/flt/fltTransformTranslate.cxx